using LinqToDB.Mapping;
namespace MasaBlazorApp3.Pojo
{
    [Table("account_book_g2")]
    public class AccountBookG2
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Column("id", IsPrimaryKey = true)]
        public int Id { get; set; }

        /// <summary>
        /// 药品id
        /// </summary>
        [Column("drug_id")]
        public string DrugId { get; set; }

        /// <summary>
        /// 1领入2发出3日结4总结5转结
        /// </summary>
        [Column("type")]
        public int Type { get; set; }

        /// <summary>
        /// 科室
        /// </summary>
        [Column("department")]
        public string Department { get; set; }

        /// <summary>
        /// 设备内记录凭证
        /// </summary>
        [Column("invoice_no")]
        public string InvoiceNo { get; set; }

        /// <summary>
        /// 处方号或凭证号
        /// </summary>
        [Column("order_no")]
        public string OrderNo { get; set; }

        /// <summary>
        /// 批次
        /// </summary>
        [Column("manu_no")]
        public string ManuNo { get; set; }

        /// <summary>
        /// 效期
        /// </summary>
        [Column("eff_date")]
        public string EffDate { get; set; }

        /// <summary>
        /// 上日结存
        /// </summary>
        [Column("yesterday_quantity")]
        public int YQuantity { get; set; }

        /// <summary>
        /// 收入
        /// </summary>
        [Column("add_quantity")]
        public int AddQuantity { get; set; }

        /// <summary>
        /// 发出
        /// </summary>
        [Column("out_quantity")]
        public int OutQuantity { get; set; }

        /// <summary>
        /// 批次结存
        /// </summary>
        [Column("manu_stock")]
        public int ManuStock { get; set; }

        /// <summary>
        /// 总结存
        /// </summary>
        [Column("total_stock")]
        public int TotalStock { get; set; }


        /// <summary>
        ///  发药领药人id
        /// </summary>
        [Column("user_id1")]
        public int? UserId1 { get; set; }

        /// <summary>
        /// 复核人id
        /// </summary>
        [Column("user_id2")]
        public int? UserId2 { get; set; }

        /// <summary>
        /// 设备id
        /// </summary>
        [Column("machine_id")]
        public string MachineId { get; set; }

        /// <summary>
        /// 日期
        /// </summary>
        [Column("create_date")]
        public string CreateDate { get; set; }

        /// <summary>
        /// 插入更新时间(当前时间戳)
        /// </summary>
        [Column("create_time")]
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 药品名称
        /// </summary>
        [Column(IsColumn = false)]
        public string DrugName { get; set; }

        /// <summary>
        /// 规格
        /// </summary>
        [Column(IsColumn = false)]
        public string DrugSpec { get; set; }

        /// <summary>
        /// 厂家
        /// </summary>
        [Column(IsColumn = false)]
        public string Manufactory { get; set; }

        /// <summary>
        /// 发药人
        /// </summary>
        [Column(IsColumn = false)]
        public string OperatorName { get; set; }

        /// <summary>
        /// 复核人
        /// </summary>
        [Column(IsColumn = false)]
        public string ReviewerName { get; set; }

        /// <summary>
        /// 手术间
        /// </summary>
        [Column("shoushuJian")]
        public string ShoushuJian { get; set; }
    }

}
